"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRecordLockingClient = void 0;
var _RecordLockingClient = require("../RecordLockingClient");
var _apolloClient = require("apollo-client");
var createRecordLockingClient = exports.createRecordLockingClient = function createRecordLockingClient(client) {
  if (client instanceof _apolloClient.ApolloClient) {
    return new _RecordLockingClient.RecordLockingClient({
      client: client
    });
  }
  return client;
};

//# sourceMappingURL=createRecordLockingClient.js.map